Subject: RE: sawmill day?
From: "Amanda Musolff" <[email-masked]>
To: [email-masked]
Date: Sun, 06 Aug 2006 17:02:18 +0000

Thanks for the offer....but I'm still at the salon and start school in three weeks. They haven't got another assistant yet so it's hard for me to get away. Other wise I would LOVE to work sawmill days! How is everything up there going? I've finally figured out how to work the trains so I can get around easy now....well, trying to get anywhwere in chicago isn't easy.....but at least I'm independant now of my roommate which is REALLY nice! I miss the you guys and the museum! I hope everything is well! Tell Mike and Jane I said hi!  Amanda

In the whole time I have known you, I have never known you to have a handkerchief. ~Rhett Butler

From: "Patty and Mike Finan" <[email-masked]>
To: "Amanda Musolff" <[email-masked]>
Subject: sawmill day?
Date: Sat, 5 Aug 2006 22:15:22 -0400

Hey there,

How's school going? Are you still working in the salon too? Hope all is well. I just wanted to check in and let you know you are welcome to work at Sawmill Day if you want to.... Not sure if it's something that interests you but didn't want you to feel you were not welcome to.

Hope all is well and you are staying cool!

Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007